<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<?ICEA min_accessible?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern id="IRM-ID-00062" xmlns:sch="http://purl.oclc.org/dsdl/schematron">
    <sch:p id="ruleText">
        [IRM-ID-00062][Error] The value of an IC-ID identifier must follow 
        standardized convention.
    </sch:p>
    <sch:p id="codeDesc">
        When IC-ID is specified as the value of ddms:identifier/@ddms:qualifier,
        @ddms:value should follow the regex [Gg][Uu][Ii][Dd][Ee]://[0-9]{4}/[A-Za-z0-9_\-\.]{1,43}
    </sch:p> 
	<sch:p id="note">
		This rule is duplicated in rule IC-EDH_ID_00007. Any change made here
		should also be made to that rule.
	</sch:p>
    <sch:rule context="ddms:identifier[@ddms:qualifier='IC-ID']">
        <sch:let name="icidRegEx" value="'[Gg][Uu][Ii][Dd][Ee]://[0-9]{4}/[A-Za-z0-9_\-\.]{1,43}'"/>
        <sch:assert 
            test="matches(string(@ddms:value),$icidRegEx)"
            flag="error">
            [IRM-ID-00062][Error] The value of an IC-ID identifier must follow 
            standardized convention.
        </sch:assert>
    </sch:rule>
</sch:pattern>